Package wx :: Package py :: Module editor :: Class EditorNotebook

[frames | no frames]

## Type EditorNotebook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                  BookCtrlBase --+
                                 |
                          Notebook --+
                                     |
                                    EditorNotebook

A notebook containing a page for each editor.

Method Summary
| ``__init__`(self, parent)` Create EditorNotebook instance.
| ``OnIdle`(self, event)` Event handler for idle time.
| ``OnPageChanged`(self, event)` Page changed event handler.
| ``OnPageChanging`(self, event)` Page changing event handler.

Property Summary

Instance Method Details

### __init__(self, parent)
(Constructor)

Create EditorNotebook instance.

  Overrides:
    `wx.Notebook.__init__`

### OnIdle(self, event)

Event handler for idle time.

### OnPageChanged(self, event)

Page changed event handler.

### OnPageChanging(self, event)

Page changing event handler.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:21 2007 | http://epydoc.sf.net